For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETGet Organization
LogoLogo
contact@agentmail.ccDiscord
API ReferenceOrganizations

Get Organization

GET
/v0/organizations
GET
/v0/organizations
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.organizations.get()
200Retrieved
1{
2 "organization_id": "organization_id",
3 "inbox_count": 1,
4 "domain_count": 1,
5 "updated_at": "2024-01-15T09:30:00Z",
6 "created_at": "2024-01-15T09:30:00Z",
7 "inbox_limit": 1,
8 "domain_limit": 1,
9 "billing_id": "billing_id",
10 "billing_type": "billing_type",
11 "billing_subscription_id": "billing_subscription_id",
12 "authentication_id": "authentication_id",
13 "authentication_type": "authentication_type"
14}
Returns the organization for the authenticated API key (usage limits, counts, and billing metadata). **CLI:** ```bash agentmail organizations get ```
Was this page helpful?
Previous
Built with

Returns the organization for the authenticated API key (usage limits, counts, and billing metadata).

CLI:

$agentmail organizations get

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

This endpoint returns an object.
organization_idstring
ID of organization.
inbox_countinteger
Current number of inboxes.
domain_countinteger
Current number of domains.
updated_atdatetime
Time at which organization was last updated.
created_atdatetime
Time at which organization was created.
inbox_limitinteger
Maximum number of inboxes allowed.
domain_limitinteger
Maximum number of domains allowed.
billing_idstring

Provider-agnostic billing customer ID.

billing_typestring

Billing provider type (e.g. “stripe”).

billing_subscription_idstring
Active billing subscription ID.
authentication_idstring

Provider-agnostic authentication ID.

authentication_typestring
Authentication provider type.